#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	glade
Version		:	3.40.0
Release		:	14.4.0.0%{?dist}
Summary		:	User Interface Designer for GTK+ and GNOME
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/glade

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk-doc
BuildRequires	:	gettext
BuildRequires	:	intltool
BuildRequires	:	itstool
BuildRequires	:	python3-pygobject
BuildRequires	:	gtk-devel
BuildRequires	:	meson
BuildRequires	:	webkit2gtk4.1-devel

Requires	:	gtk
#-----------------------------------------------------------------------------
%description
Glade is a RAD tool to enable quick and easy development of user interfaces for
the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, which can be used in
numerous programming languages including C, C++, Java, Perl, Python, C#, Pike,
Ruby, Haskell, Objective Caml and Scheme. Adding support for other languages
is easy too.

#-----------------------------------------------------------------------------
%files	-f glade.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_includedir}/lib%{name}ui-2.0/%{name}ui/*.h
%{_bindir}/%{name}
%{_bindir}/%{name}-previewer
%{_libdir}/%{name}/modules/lib%{name}gtk.so
%{_libdir}/%{name}/modules/lib%{name}python.so
%{_libdir}/%{name}/modules/lib%{name}webkit2gtk.so
%{_libdir}/lib%{name}ui-2.so*
%{_libdir}/pkgconfig/%{name}ui-2.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/gettext/its/glade-catalog.its
%{_datadir}/gettext/its/glade-catalog.loc
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/catalogs/*
%{_datadir}/%{name}/pixmaps/hicolor/*
%{_datadir}/%{name}/pixmaps/*.png
%{_mandir}/man1/%{name}*.1.gz

#=============================================================================
%prep
%setup -q
sed -i							\
  -e 's/webkit2gtk-4.0/webkit2gtk-4.1/'			\
  meson.build

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	-D gtk_doc=false				\
	build						\

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang glade --with-gnome
 
#-----------------------------------------------------------------------------
%changelog
